Debian Bug report logs - #193328
SE Linux patch

version graph

Package: coreutils; Maintainer for coreutils is Michael Stone <mstone@debian.org>; Source for coreutils is src:coreutils.

Reported by: Torsten Knodt <tk-debian@datas-world.de>

Date: Wed, 14 May 2003 17:33:01 UTC

Severity: wishlist

Tags: patch, sid, upstream

Found in version 5.0.91-2

Fixed in version 5.93-1

Done: Michael Stone <mstone@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>, coreutils@packages.qa.debian.org:
Bug#193328; Package coreutils. Full text and rfc822 format available.

Acknowledgement sent to Torsten Knodt <tk-debian@datas-world.de>:
New Bug report received and forwarded. Copy sent to Michael Stone <mstone@debian.org>, coreutils@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Torsten Knodt <tk-debian@datas-world.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: SE Linux patch
Date: Wed, 14 May 2003 19:23:25 +0200
[Message part 1 (text/plain, inline)]
Package: coreutils
Version: unavailable; reported 2003-05-14
Severity: wishlist
Tags: upstream sid patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,
attached is a patch for upstream to support SE Linux in coreutils and
detecting it in configure. Would be nice if you would get it at least partly
included. For the patch, some tests had to be disabled. When upstream
doesn't accept this temporarly, perhaps the other parts can be applied.
To use this patch for the debian package, the following changes have to be
made to the packaging:
- - The configure call must be prefixed with CPPFLAGS="-I/usr/include/selinux".
- - libselinux-dev [i386] must be added to the Build-Depends

The patch is based on the SE Linux patch from Russell Coker's Homepage
(http://www.coker.com.au/selinux).

With kind regards
	Torsten Knodt

- -- System Information:
Debian Release: testing/unstable
Architecture: sh: line 1: /usr/bin/dpkg: Permission denied
Kernel: Linux tk-hybrid-1 2.4.20 #4 Son Mai 4 12:23:33 CEST 2003 i586
Locale: LANG=C, LC_CTYPE=C

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE+wnuMX1/CjdwsodIRAniSAKCt1q+pfgTewi5PBy8j6XQ07xGjEwCgj1s4
aKXLm3k2kPnxPR3hpoAxZrw=
=6oQ+
-----END PGP SIGNATURE-----
[21_selinux (text/x-c, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#193328; Package coreutils. Full text and rfc822 format available.

Acknowledgement sent to Michael Stone <mstone@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 193328@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: tk-debian@datas-world.de
Cc: 193328@bugs.debian.org, russell@coker.com.au
Subject: Re: SE Linux patch
Date: Sat, 5 Jul 2003 14:30:54 -0400
Ok, this isn't going anywhere while the tests are disabled. Also, the
chances of getting new short options (e.g., cp -X) are almost nil. 

How do selinux users get by now, without having this patch to coreutils?
(I.e., how important is this?) I'm going to try to get acl support into
coreutils before sarge is released, but this might be a bit much. What
kind of impact does it have on non-selinux users? What is the status on
getting selinux patches integrated into the main distribution for the
other packages listed at http://www.coker.com.au/selinux/?

Mike Stone



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#193328; Package coreutils. Full text and rfc822 format available.

Acknowledgement sent to Luke Kenneth Casson Leighton <lkcl@lkcl.net>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. Full text and rfc822 format available.

Message #15 received at 193328@bugs.debian.org (full text, mbox):

From: Luke Kenneth Casson Leighton <lkcl@lkcl.net>
To: Debian Bug Tracking System <193328@bugs.debian.org>
Subject: nature of selinux patches to coreutils
Date: Mon, 17 May 2004 21:01:34 +0000
Package: coreutils
Version: 5.0.91-2
Severity: normal
Followup-For: Bug #193328


hiya mike,

the patches to coreutils are absolutely critical to selinux.

mkdir, mknod, cp install and others have been patched to preserve
security information on file creation;

ls and id have been patched to show security context;

there's a new command runcon which allows a command to be run
in a new context.

it's quite extensive, straightforward, and completely necessary.

an selinux system is completely unuseable without these patches.


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux highfield 2.6.5-1-686 #1 Sat Apr 24 08:47:10 EST 2004 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages coreutils depends on:
ii  libacl1                     2.2.21-1     Access control list shared library
ii  libattr1                    2.4.12-1     Extended attribute shared library
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#193328; Package coreutils. Full text and rfc822 format available.

Acknowledgement sent to Luke Kenneth Casson Leighton <lkcl@lkcl.net>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. Full text and rfc822 format available.

Message #20 received at 193328@bugs.debian.org (full text, mbox):

From: Luke Kenneth Casson Leighton <lkcl@lkcl.net>
To: 193328@bugs.debian.org
Subject: libselinux patch has no effect on non-selinux users
Date: Sat, 29 May 2004 21:03:43 +0000
if someone runs ls --context on a non-selinux kernel,
they will get a warning about how they must be
running an selinux kernel.

there is zero impact on useability caused by this patch
to non-selinux kernel users because the programs have
all been patched to dynamically detect at runtime an
selinux kernel and behave accordingly.

l.

-- 
-- 
expecting email to be received and understood is a bit like
picking up the telephone and immediately dialing without
checking for a dial-tone; speaking immediately without listening
for either an answer or ring-tone; hanging up immediately and
believing that you have actually started a conversation.
--
<a href="http://lkcl.net">      lkcl.net      </a> <br />
<a href="mailto:lkcl@lkcl.net"> lkcl@lkcl.net </a> <br />




Reply sent to Michael Stone <mstone@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Torsten Knodt <tk-debian@datas-world.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 193328-close@bugs.debian.org (full text, mbox):

From: Michael Stone <mstone@debian.org>
To: 193328-close@bugs.debian.org
Subject: selinux coreutils
Date: Sat, 12 Nov 2005 20:49:48 -0500
Version: 5.93-1

An selinux patch has been added to coreutils; I look forward to feedback
about the addition.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 00:42:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:01:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.